package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(resource_respository):
 */
public class ResourceRespository {

	/**  */
	private Integer id;

	@ApiModelProperty(value = "资源名",required = false)
	private String name;

	@ApiModelProperty(value = "地址",required = false)
	private String url;

	private Integer order;

	private Integer subjectId;

	private Integer level;

	private Integer parentId;

	private boolean delFlag;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private List<ResourceRespository> repositories;

	public List<ResourceRespository> getRepositories() {
		return repositories;
	}

	public void setRepositories(List<ResourceRespository> repositories) {
		this.repositories = repositories;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public Integer getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId = subjectId;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public Integer getParentId() {
		return parentId;
	}

	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}
			
	public void setDelFlag(boolean delFlag){
		this.delFlag = delFlag;
	}
	
	public boolean isDelFlag(){
		return this.delFlag;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
